//
//  StretchView.m
//  DrawingFun
//
//  Created by narita on 2013/10/04.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import "StretchView.h"

@implementation StretchView

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    
    if (self)
    {
        srandom((unsigned) time(NULL));
        
        path = [NSBezierPath bezierPath];
        
        [path setLineWidth:3.0];
        
        NSPoint thePoint = [self randomPoint];
        
        [path moveToPoint:thePoint];
        
        for(int i = 0; i < 15; i++)
        {
            thePoint = [self randomPoint];
            
            [path curveToPoint:[self randomPoint]
                 controlPoint1:[self randomPoint]
                 controlPoint2:[self randomPoint]];
        }
        
        [path closePath];
    }
    
    return self;
}

- (NSPoint) randomPoint
{
    NSRect  theBounds = [self bounds];
    NSPoint theResult;
    
    theResult.x = theBounds.origin.x + random()%(int)theBounds.size.width;
    theResult.y = theBounds.origin.y + random()%(int)theBounds.size.height;
    
    return theResult;
}

- (void)drawRect:(NSRect)dirtyRect
{
    NSRect theBounds = [self bounds];
    
    [[NSColor greenColor] set];
    
    [NSBezierPath fillRect:theBounds];
    
    [[NSColor whiteColor] set];
    
    [path fill];
}

@end
